## org.jfree.xml.parser.coretypes
Class ListReadHandler

    java.lang.Object
      org.jfree.xml.parser.AbstractXmlReadHandler
          org.jfree.xml.parser.coretypes.ListReadHandler

All Implemented Interfaces:
  XmlReadHandler

    public class ListReadHandler

extends AbstractXmlReadHandler

A SAX handler for reading a list from an XML element.

Constructor Summary
`ListReadHandler()` Default constructor.

Method Summary
`protected void` `doneParsing()` Parsing is finished.
`protected XmlReadHandler` `getHandlerForChild(java.lang.String tagName, org.xml.sax.Attributes atts)` Gets a handler for a child.
`java.lang.Object` `getObject()` Returns the object under construction.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Start parsing.

Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler
`characters, endElement, getRootHandler, getTagName, init, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListReadHandler

    public ListReadHandler()

  Default constructor.

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Start parsing.

  Overrides:
    `startParsing` in class `AbstractXmlReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### getHandlerForChild

    protected XmlReadHandler getHandlerForChild(java.lang.String tagName,
                                                org.xml.sax.Attributes atts)
                                         throws XmlReaderException,
                                                org.xml.sax.SAXException

  Gets a handler for a child.

  Overrides:
    `getHandlerForChild` in class `AbstractXmlReadHandler`
  Parameters:
    `tagName` - the tag name.
    `atts` - the attributes.
  Returns:
    A handler.
  Throws:
    `XmlReaderException` - if there is a problem with the reader.
    `org.xml.sax.SAXException` - if there is a parsing error.

### doneParsing

    protected void doneParsing()
                        throws org.xml.sax.SAXException,
                               XmlReaderException

  Parsing is finished.

  Overrides:
    `doneParsing` in class `AbstractXmlReadHandler`
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.
    `XmlReaderException` - if there is a problem with the reader.

### getObject

    public java.lang.Object getObject()

  Returns the object under construction.

  Returns:
    The list.